﻿using System;
using System.ComponentModel;

namespace ExtendedMvc.Html {
	[Flags]
	public enum GridCommandPosition : byte {
		[Description("Hide command.")]
		Hidden = 0,
		[Description("Show the command in the data row.")]
		DataRow = 1,
		[Description("Show the command in the header row.")]
		Header = 2,
		[Description("Show the command in the footer row.")]
		Footer = 4,
	}
}
