﻿using ExtendedMvc.Tests.Model.Entities;
using ExtendedMvc.Tests.Model.Enumerations;
using ExtendedMvc.WebTest.Model;

namespace ExtendedMvc.Tests.Model {
	public class DummyRepository : BaseRepository<Dummy>, IDummyRepository {
		public static DummyRepository Create() {
			var dummies = new DummyRepository();
			dummies.Add(new Dummy { BasicProperty = "Basic1", RequiredProperty = "Required1", LabeledProperty = "Labeled1", SizedProperty = "Sized1", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic2", RequiredProperty = "Required2", LabeledProperty = "Labeled2", SizedProperty = "Sized2", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic3", RequiredProperty = "Required3", LabeledProperty = "Labeled3", SizedProperty = "Sized3", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic4", RequiredProperty = "Required4", LabeledProperty = "Labeled4", SizedProperty = "Sized4", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic5", RequiredProperty = "Required5", LabeledProperty = "Labeled5", SizedProperty = "Sized5", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic6", RequiredProperty = "Required6", LabeledProperty = "Labeled6", SizedProperty = "Sized6", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic7", RequiredProperty = "Required7", LabeledProperty = "Labeled7", SizedProperty = "Sized7", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic8", RequiredProperty = "Required8", LabeledProperty = "Labeled8", SizedProperty = "Sized8", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic9", RequiredProperty = "Required9", LabeledProperty = "Labeled9", SizedProperty = "Sized9", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic10", RequiredProperty = "Required10", LabeledProperty = "Labeled10", SizedProperty = "Sized10", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic11", RequiredProperty = "Required11", LabeledProperty = "Labeled11", SizedProperty = "Sized11", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic12", RequiredProperty = "Required12", LabeledProperty = "Labeled12", SizedProperty = "Sized12", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic13", RequiredProperty = "Required13", LabeledProperty = "Labeled13", SizedProperty = "Sized13", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic14", RequiredProperty = "Required14", LabeledProperty = "Labeled14", SizedProperty = "Sized14", EnumProperty = DummyEnum.FirstValue });
			dummies.Add(new Dummy { BasicProperty = "Basic15", RequiredProperty = "Required15", LabeledProperty = "Labeled15", SizedProperty = "Sized15", EnumProperty = DummyEnum.FirstValue });
			return dummies;
		}
	}
}
