﻿using System;

namespace ExtendedMvc.Elements {
	/// <summary>
	/// Grid Column fluent interface
	/// </summary>
	public interface IGridColumnBase<TModel> {
		IGridColumnBase<TModel> Header(string value);

		IGridColumnBase<TModel> ShowIf(Func<TModel, bool> func);

		//IGridColumnBase<T> DoNotEncode();

		object GetHeader();

		object GetData(TModel source);

		object GetFooter();
	}
}
