﻿using System.Web.Mvc;
using System.Web.Routing;
using ExtendedMvc.WebTest.Model;

namespace ExtendedMvc.WebTest {
	// Note: For instructions on enabling IIS6 or IIS7 classic mode, 
	// visit http://go.microsoft.com/?LinkId=9394801

	public class MvcApplication : System.Web.HttpApplication {
		public static void RegisterRoutes(RouteCollection routes) {
			routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

			routes.MapRoute(
				"Default", // Route name
				"{controller}/{action}/{id}", // URL with parameters
				new { controller = "Home", action = "Edit", id = UrlParameter.Optional } // Parameter defaults
			);

		}

		public static MemoryDataSource Database { get; private set; }

		protected void Application_Start() {
			Database = new MemoryDataSource();

			AreaRegistration.RegisterAllAreas();

			RegisterRoutes(RouteTable.Routes);
		}
	}
}