﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace ExtendedMvc.WebTest.Model {
	public enum PasswordStatus : byte {
		[Description("User is free to change password anytime.")]
		[Display(Name = "Valid")]
		Valid = 0,
		[Description("User must change password on next logon.")]
		[Display(Name = "Expired")]
		Expired = 1,
		[Description("User can't change the password.")]
		[Display(Name = "Change Blocked")]
		Fixed = 2,
	}
}
