﻿using System;
using ExtendedMvc.Html;

namespace ExtendedMvc.Elements {
	/// <summary>
	/// Grid Column fluent interface
	/// </summary>
	public interface IGridCommandBase<TModel> {
		IGridCommandBase<TModel> EnabledIf(Func<TModel, bool> func);

		IGridCommandBase<TModel> ShowIf(Func<TModel, bool> func);

		string Text { get; }

		GridCommandPosition Position { get; }
	
		string GetLink();
	}
}
