﻿using System;
using System.Collections.Generic;
using ExtendedMvc.Common.EntityFramework;

namespace ExtendedMvc.WebTest.Model.Entities {
	public interface IUser : IEntity, ILogicalEntity, IBaseEntity {
		string Login { get; set; }

		string Password { get; set; }

		bool IsBlocked { get; set; }

		Nullable<System.DateTime> LastPasswordChange { get; set; }

		PasswordStatus PasswordStatus { get; set; }

		ICollection<Group> Groups { get; set; }
	}
}
