using System.Web.Mvc;

namespace ExtendedMvc.Elements {
	/// <summary>
	/// Interface for elements.
	/// </summary>
	public interface IElement {
		TagBuilder Builder { get; }

		TagRenderMode TagRenderMode { get; }

		void SetAttr(string name, object value);

		//string GetAttr(string name);

		//void RemoveAttr(string name);

		void MergeAttr(string name, object value);

		MvcHtmlString Render();
	}
}