using ExtendedMvc;

namespace System.Linq.Expressions {
	public static class ExpressionExtensions {
		public static string GetNameFor<T, TValue>(this Expression<Func<T, TValue>> expression, IViewDataContainer<T> view) where T : class {
			return expression.GetNameFor(view.HtmlNamePrefix);
		}
	}
}